byte_chr(3)

NAME
byte_chr - search for a byte in a string

SYNTAX
#include <byte.h> long byte_chr(const char *haystack,unsigned long len,char needle);

DESCRIPTION
byte_chr returns the smallest integer i between 0 and len-1 inclusive such that one[i] equals needle. If no such integer exists, byte_chr returns len. byte_chr may read all bytes one[0], one[1], ..., one[len-1], even if not all the bytes are relevant to the answer.

SEE ALSO
byte_rchr(3)